Bug 664106 - Regression in ksh-20101212
Summary: Regression in ksh-20101212
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ksh
Version: rawhide
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Michal Hlavinka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-18 08:09 UTC by Deji Akingunola
Modified: 2012-01-17 13:33 UTC (History)
1 user (show)

Fixed In Version: ksh-20110208-2.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-22 18:48:59 UTC


Attachments (Terms of Use)
Test script that shows the regression (460 bytes, text/plain)
2010-12-18 08:09 UTC, Deji Akingunola
no flags Details

Description Deji Akingunola 2010-12-18 08:09:30 UTC
Created attachment 469494 [details]
Test script that shows the regression

Description of problem:
The attached test script produces a wrong result compared to ksh-2010062. The test script produces the same result as in ksh-2010062 when ran in bash.

Version-Release number of selected component (if applicable):


How reproducible: Always


Steps to Reproduce:
1. Run the attached script
2.
3.
  
Actual results:
objets are .o arbew.o .o .o .o .o 6

Expected results:
objets are arbew.f90.o 1

Additional info:

Comment 1 Deji Akingunola 2010-12-18 08:28:30 UTC
I downgraded to ksh-20101122-1.fc15, and I can confirm that version also works.

Comment 2 Michal Hlavinka 2010-12-20 15:12:56 UTC
Thanks for reporting this, I can reproduce this. Simplified reproducer is:

ksh -c 'A=""; B="B"; for I in ${A[@]} ${B[@]}; do echo "\"$I\""; done'

where buggy version produces extra "" output.

Comment 3 Michal Hlavinka 2010-12-23 08:06:36 UTC
I'll downgrade ksh to 2010-11-22 (with all patches included) before fix the is ready.

Comment 4 Fedora Update System 2011-02-01 15:59:06 UTC
ksh-20110127-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ksh-20110127-1.fc14

Comment 5 Fedora Update System 2011-02-01 15:59:13 UTC
ksh-20110127-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ksh-20110127-1.fc14

Comment 6 Fedora Update System 2011-02-02 19:34:28 UTC
ksh-20110131-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ksh'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/ksh-20110131-1.fc14

Comment 7 Fedora Update System 2011-02-14 20:29:16 UTC
ksh-20110208-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ksh'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/ksh-20110208-1.fc14

Comment 8 Fedora Update System 2011-03-07 13:44:30 UTC
ksh-20110208-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ksh-20110208-2.fc14

Comment 9 Fedora Update System 2011-03-07 13:44:59 UTC
ksh-20110208-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ksh-20110208-2.fc15

Comment 10 Fedora Update System 2011-03-07 13:45:29 UTC
ksh-20100621-3.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/ksh-20100621-3.fc13

Comment 11 Fedora Update System 2011-03-22 18:48:50 UTC
ksh-20100621-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2011-03-22 18:54:26 UTC
ksh-20110208-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2011-03-23 05:03:04 UTC
ksh-20110208-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.